Page MenuHomeFreeBSD

Add snp, snponly, and EFI USB flavors to net/ipxe
ClosedPublic

Authored by skozlov on Jun 10 2020, 4:46 PM.

Details

Summary

snp.efi and snponly.efi are cut-down variants of ipxe.efi that may be useful in some cases.
EFI_USB adds the option to create EFI USB bootable thumbdrive images

More information can be found here: https://ipxe.org/appnote/buildtargets

Test Plan

Poudriere testport run:

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 31660
Build 29239: arc lint + arc unit

Event Timeline

Change the pkg-message.in accordingly

skozlov retitled this revision from Add snp and snponly EFI flavors to net/ipxe to Add snp, snponly, and EFI USB flavors to net/ipxe.Jun 12 2020, 10:02 AM
skozlov edited the summary of this revision. (Show Details)
skozlov edited the test plan for this revision. (Show Details)
This revision was not accepted when it landed; it landed in state Needs Review.Jun 13 2020, 4:47 PM
This revision was automatically updated to reflect the committed changes.